fop 2.3

## org.apache.fop.fonts.cff
Class CFFDataReader.DICTEntry

    java.lang.Object
      org.apache.fop.fonts.cff.CFFDataReader.DICTEntry

Enclosing class:
  CFFDataReader

    public static class CFFDataReader.DICTEntry

extends java.lang.Object

A class containing data for a dictionary entry

Constructor Summary
`CFFDataReader.DICTEntry()`

Method Summary
`byte[]` `getByteData()`
`int` `getOffset()`
`int` `getOperandLength()`
`java.util.List<java.lang.Integer>` `getOperandLengths()`
`java.util.List<java.lang.Number>` `getOperands()`
`int[]` `getOperator()`
`java.lang.String` `getOperatorName()`
`void` `setByteData(byte[] data)`
`void` `setOffset(int offset)`
`void` `setOperandLength(int operandLength)`
`void` `setOperandLengths(java.util.List<java.lang.Integer> operandLengths)`
`void` `setOperands(java.util.List<java.lang.Number> operands)`
`void` `setOperator(int[] operator)`
`void` `setOperatorName(java.lang.String operatorName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CFFDataReader.DICTEntry

    public CFFDataReader.DICTEntry()

Method Detail

### setOperator

    public void setOperator(int[] operator)

### getOperator

    public int[] getOperator()

### setOperands

    public void setOperands(java.util.List<java.lang.Number> operands)

### getOperands

    public java.util.List<java.lang.Number> getOperands()

### setOperatorName

    public void setOperatorName(java.lang.String operatorName)

### getOperatorName

    public java.lang.String getOperatorName()

### setOffset

    public void setOffset(int offset)

### getOffset

    public int getOffset()

### setOperandLength

    public void setOperandLength(int operandLength)

### getOperandLength

    public int getOperandLength()

### setByteData

    public void setByteData(byte[] data)

### getByteData

    public byte[] getByteData()

### setOperandLengths

    public void setOperandLengths(java.util.List<java.lang.Integer> operandLengths)

### getOperandLengths

    public java.util.List<java.lang.Integer> getOperandLengths()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.